Next Previous Contents

## 3.21 atoi

> Function

>   Convert a string to an integer.

> Header

>   `stdlib.h`

> Declaration

>   `int __fastcall__ atoi (const char* s);`

> Description

>   `atoi` converts the given string into an integer. Conversion stops as soon as any invalid character is encountered.

> Limits

>   - There is no way to detect any conversion errors.
>   - The function does not check for an numerical overflow when converting.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   atol, itoa, ltoa, ultoa, utoa

> Example

>   None.

Next Previous Contents